#include "scr_Players.h"
enum PLAYERTYPE {NOT_USED, HUMAN};

class scr_Server{
 public:
 scr_Server(){};
 ~scr_Server(){};
 //Functions called externally; interface functions
 virtual void RunGame()=0;

 virtual void CreatePlayer(PLAYERTYPE type)=0;
 
 virtual int GetCurPlayerNum()=0;

 virtual int SubmitMove(scr_Move* move)=0;

 virtual int GetCurPlayerScore()=0;

 virtual void CopyCurPlayerTiles(char* outtiles)=0;

 virtual void GetCopyOfBoard(char** representation)=0;

 virtual int HowManyInBag()=0;

 virtual int BoardSize()=0;

 virtual int GetNumberTilesInRack()=0;
 
};